MORE(1)

NAZWA
more - filtrowa przeglądarka plików do CRT

SKŁADNIA
more [opcje] plik...

OPIS
more jest filtrem służącym do przeglądania tekstu strona po stronie, jeden ekran na raz. Bieżąca wersja jest szczególnie prymitywna. Użytkownicy powinni zdać sobie sprawę że less(1) dostarcza emulacji more(1) wraz z licznymi ulepszeniami (mniej znaczy więcej!).

OPCJE
Opcje pobierane są także ze zmiennej środowiskowej MORE (proszę się upewnić, że poprzedzono je myślnikiem ("-")), ale opcje wiersza poleceń mogą je unieważnić.

-d  Wpisuje komunikat "[Spacja kontynuuje, 'q' kończy.]" oraz wyświetli "[Klawisz 'h' wyświetla opis.]" zamiast wysyłać znak dzwonka, kiedy naciśnięto nieprawidłowy klawisz.

-l  Nie oczekuje po wierszu zawierającym ^L (wysuw strony).

-f  Liczy wiersze logiczne, zamiast ekranowych (tj. długie linie nie są zawijane).

-p  Nie przewija. Zamiast tego czyści cały ekran i następnie wyświetla tekst. Proszę zwrócić uwagę, że ta opcja jest włączana automatycznie, jeśli plik wykonywalny nazywa się page.

-c  Nie przewija ekranu. Zamiast tego, rysuje każdy ekran od początku, czyszcząc resztę każdego wiersza w momencie jego wyświetlania.

-s  Zamienia wiele sąsiadujących pustych wierszy w jeden.

-u  Wyłącza podkreślanie.

-liczba
    Używany rozmiar ekranu, o liczbie wierszy.

+numer
    Zaczyna wyświetlanie każdego pliku od wiersza numer.

+/łańcuch
    Plik zostanie wyświetlony od wiersza ze znalezionym łańcuchem.

KOMENDY
Interaktywne komendy more oparte są na vi(1). Niektóre komendy mogą być poprzedzone liczbą dziesiętną, zwaną k w opisach poniżej. W poniższych opisach, ^X oznacza kombinację control-X.

    h lub ?
        Pomoc: wyświetl podsumowanie tych komend. Tę komendę należy pamiętać, nawet jeśli zapomni się wszystkich innych.

    spacja
        Wyświetl poprzednie k wierszy tekstu. Domyślnie bieżący rozmiar ekranu.

    z   Wyświetl następne k wierszy tekstu. Domyślnie bieżący rozmiar ekranu. Argument staje się nową wartością domyślną.

    enter
        Wyświetl następne k wierszy tekstu. Domyślnie jeden. Argument staje się nową wartością domyślną.

    d lub ^D
        Przewiń o k wierszy. Domyślnie bieżący rozmiar przewijania, początkowo 11. Argument staje się nową wartością domyślną.

    q lub Q lub przerwanie
        Wyjdź.

    s   Przeskocz k wierszy tekstu w przód. Domyślnie jeden.

    f   Przeskocz k ekranów tekstu w przód. Domyślnie jeden.

    b lub ^B
        Przeskocz k ekranów tekstu w tył. Domyślnie jeden. Działa tylko z plikami, nie działa z potokami.

    '   Idź do miejsca rozpoczęcia ostatniego wyszukiwania.

    =   Wyświetl bieżący numer wiersza.

    /wzór
        Poszukaj k-tego wystąpienia wyrażenia regularnego. Domyślnie pierwszego.

    n   Poszukaj k-tego wystąpienia ostatniego wyrażenia regularnego. Domyślnie pierwszego.

    !polecenie lub :!polecenie
        Wykonaj polecenie w podpowłoce.

    v   Uruchom edytor od bieżącego wiersza. Edytor jest określony zmienną środowiskową VISUAL lub, jeśli jej nie zdefiniowano, EDITOR. Jeśli nie zdefiniowano żadnej ze zmiennych domyślnym edytorem jest vi.

    ^L  Odśwież ekran.

    :n  Idź do k-tego następnego pliku. Domyślnie pierwszego następnego.

    :p  Idź do k-tego poprzedniego pliku. Domyślnie pierwszego poprzedniego.

    :f  Wyświetl bieżącą nazwę pliku i numer wiersza.

    .   Powtórz poprzednią komendę.

ŚRODOWISKO
Polecenie more honoruje następujące zmienne środowiskowe, jeśli istnieją:

MORE
    Zmienną tą można ustawić na ulubione opcje dla more.

SHELL
    Bieżąca używana powłoka (normalnie ustawiana przez powłokę w czasie logowania).

TERM
    Typ terminala, używany przez more do pobrania charakterystyk terminala koniecznych do manipulowania ekranem.

VISUAL
    Preferowany przez użytkownika edytor. Przywoływany po wciśnięciu klawisza v.

EDITOR
    Wybrany edytor, używany gdy nie podano VISUAL.

ZOBACZ TAKŻE
vi(1), less(1)

AUTORZY
Eric Shienbrood, UC Berkeley
Zmodyfikowany przez Geoffa Pecka z UCB, który dodał podkreślenia i pojedyncze odstępy liniowe.
Zmodyfikowany przez Johna Foderaro z UCB, który dodał -c i zmienną środowiskową MORE.

HISTORIA
Polecenie more pojawiło się w 3.0BSD. Ta strona podręcznika dokumentuje wersję 5.19 more (Berkeley 29 VI 88), która jest obecnie używana w środowisku linuksowym. Dokumentacja została stworzona z użyciem kilku innych wersji stron man oraz szczegółowej inspekcji kodu źródłowego.

DOSTĘPNOŚĆ
Polecenie more jest częścią pakietu util-linux i jest dostępne z Archiwum jądra Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Gwidon S. Naskrent <naskrent@hoth.amu.edu.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.28 oryginału.